
using ChillConnect;
using UnityEngine;

public sealed class AnimationCurveData : ScriptableObject
{
    private static AnimationCurveData instance;

    public static AnimationCurveData Instance
    {
        get
        {
            if (instance == null)
            {
                instance = LoadKit.Instance.LoadAsset<AnimationCurveData>("Data.ScriptableObjectData",
                    "AnimationCurveData");
            }

            return instance;
        }
    }

    public AnimationCurve LuckySpinAniCurve;
}